Number Recycling

Number Recycling API

0.2.0OAS 3.0

CAMARA Number Recycling API. Checks whether a phone number has been recycled since a specified date.

API Base URL
  • Server 1:https://api.pxg.konera.com/camara

    Production CAMARA API Gateway

Security
OAuth2ClientCredentials (oauth2)

Client Credentials OAuth Flow

Token URL: https://auth.konera.com/oauth2/token

Scopes:

  • number-recycling.read - Read number recycling signal

Number Recycling

Number recycling check APIs

Check if a number has been recycled since a specified date

Checks whether the given phone number has been recycled since the specified date.

post
https://api.pxg.konera.com/camara/number-recycling/v0.2/check

Headers

x-correlation-idstring

Correlation ID for request tracing

Body

application/json

NumberRecyclingRequest

phoneNumberstringrequired

MSISDN in E.164 format

Example:+14155550123

specifiedDatestring(date)required

Date (in the past) against which recycling is checked (YYYY-MM-DD)

Example:2026-01-19

Response

application/json

Number recycling status returned

NumberRecyclingResponse

recycledSinceSpecifiedDatebooleanrequired

Indicates whether the phone number has been recycled since the specified date

Example:false

post/number-recycling/v0.2/check

Body

{ "phoneNumber": "+14155550123", "specifiedDate": "2026-01-19" }
 
application/json